stri_enc_fromutf32 {stringi} | R Documentation

## Convert From UTF-32

### Description

This function converts integer vectors, representing sequences of UTF-32 code points, to UTF-8 strings.

### Usage

    stri_enc_fromutf32(vec)

### Arguments

`vec` | a list of integer vectors (or objects coercible to such vectors) or `NULL`s. For convenience, a single integer vector can also be given.

### Details

UTF-32 is a 32bit encoding in which each Unicode code point corresponds to exactly one integer value.

This function roughly acts like a vectorized version of `intToUtf8`. As usual in stringi, it returns character strings in UTF-8. See `stri_enc_toutf32` for a dual operation.

If an incorrect code point is given, a warning is generated and a string is set to `NA`. Note that `0`s are not allowed in `vec`, as they are used internally to mark the end of a string (in the C API).

See also `stri_encode` for decoding arbitrary byte sequences from any given encoding.

### Value

Returns a character vector (in UTF-8). `NULL`s in the input list are converted to `NA_character_`.

### See Also

Other encoding_conversion: `stri_enc_toascii`, `stri_enc_tonative`, `stri_enc_toutf32`, `stri_enc_toutf8`, `stri_encode`, `stringi-encoding`

[Package stringi version 1.2.4 Index]